Submit Job
curl --request POST \
--url https://test-api.sandbox.co.in/it/reports/capital-gains \
--header 'Authorization: <authorization>' \
--header 'x-accept-type: <x-accept-type>' \
--header 'x-api-key: <x-api-key>' \
--header 'x-api-version: <x-api-version>'import requests
url = "https://test-api.sandbox.co.in/it/reports/capital-gains"
headers = {
"x-accept-type": "<x-accept-type>",
"x-api-key": "<x-api-key>",
"x-api-version": "<x-api-version>",
"Authorization": "<authorization>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-accept-type': '<x-accept-type>',
'x-api-key': '<x-api-key>',
'x-api-version': '<x-api-version>',
Authorization: '<authorization>'
}
};
fetch('https://test-api.sandbox.co.in/it/reports/capital-gains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Submit a job to prepare Capital Gains Statement from tradebook and tradewise settlements.
POST
/
it
/
reports
/
capital-gains
Submit Job
Headers
application/json or application/xlsx
Your API key used to authenticate and authorize the request.
Indicates the version of the API you want to use. Ensures backward-compatible behavior.
Token for user-level authorization.
Query Parameters
Type of input file.
Available options:
tradewise_settlement Financial year for which the report is generated. Use format FY 20XX-XX (e.g., FY 2024-25).
Pattern:
^FY (19|20)\d{2}-\d{2}$Response
200
200 OK
Was this page helpful?
āI